/* Reset some default styles */

@import url('https://fonts.googleapis.com/css2?family=Roboto:ital,wght@0,100;0,300;0,400;0,500;0,700;0,900;1,100;1,300;1,400;1,500;1,700;1,900&display=swap');

@import url('https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,300;0,400;0,600;0,800;1,300;1,400;1,600;1,800&family=Rubik:ital,wght@0,300;0,400;0,500;0,600;1,300;1,400;1,500;1,600&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,300;0,400;0,600;0,800;1,300;1,400;1,600;1,800&family=Rubik:ital,wght@0,300;0,400;0,500;0,600;1,300;1,400;1,500;1,600&display=swap');
@font-face {
  font-family: "SF Pro";
  src: url("/fonts/SF-Pro-Display-Regular.woff2") format("woff2"),
       url("/fonts/SF-Pro-Display-Regular.woff") format("woff"),
       url("/fonts/SF-Pro-Display-Regular.ttf") format("truetype");
  font-weight: 400;
  font-style: normal;
}
:root{
  --primary-color:#ff6b6b ;
  --secondary-color:#794afa;
  --secondary-dark-color:#453c5c;
  --white-color:#ffffff;
  --light-bg-color:#f2f3f5;
  --light-text-color:#7c899a;
  --border-color:#e5e8ec;
  --dark-color:#0a021c;
  --font-small:13px;
  --font-smaller:11px;
  --percent100:100%;
  --percent50:50%;
  --fw3:300;
  --fw5:500;
  --fw6:600;
  --fw7:700;
  --fw8:800;
  --trans-background-color:background-color .3s ,color .3s;
  --trans-background:background-color .3s;
  --trans-color:color .3s;
}
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
  }
  
  body {
    font-family: 'Poppins', sans-serif;
    background-color: #ffffff; /* Global background color */
  }
  .header{
    margin-bottom:  24px;
  }
  .header .container .navbar .logo img{
    max-width: var(--percent100);
    vertical-align: middle;
  }
  .container{
    max-width: 1280px;
    margin: 0 auto;
    padding: 0 0.938em;
  }

    /* Sidebar styling */
.sidebar {
  height: 100%;
  width: 0;
  position: fixed;
  top: 0;
  right: 0;
  background-color: #333;
  overflow-x: hidden;
  transition: 0.3s;
  padding-top: 60px;
  color: white;
  z-index: 1000;
}

.sidebar .close-btn {
  position: absolute;
  top: 20px;
  right: 25px;
  font-size: 30px;
  cursor: pointer;
  background: none;
  border: none;
  color: white;
}

.sidebar-content {
  padding: 15px;
  display: flex;
  flex-direction: column;
}

/* Search input and button container styling */
.search-container {
  display: flex;
  align-items: center;
  width: 100%;
}

.sidebar-search {
  width: 100%;
  padding: 10px;
  border: none;
  border-radius: 4px 0 0 4px;
  font-size: 16px;
}

.searchButton-sidebar {
  padding: 10px;
  border: none;
  border-radius: 0 4px 4px 0;
  background-color: #555;
  color: white;
  cursor: pointer;
}
.sidebar-content_footer .ri-send-plane-line{
  font-size: 16px;
}
.sidebar-content .ri-search-line{
  font-size: 16px;
}

.searchButton-sidebar:hover {
  background-color: #666;
}

/* Flex row for Signup and Login links */
.auth-links {
  display: flex;
  gap: 15px;
  margin: 15px 0;
}

.sidebar-link {
  color: #ffffff;
  text-decoration: none;
  font-size: 18px;
}

.sidebar-link:hover {
  color: #f1f1f1;
}

/* Sidebar-specific Categories styling */
.sidebar-categories {
  width: 100%;
  margin: 20px 0;
}

.sidebar-categories h3 {
  color: #ddd;
  font-size: 20px;
  margin-bottom: 10px;
}

.sidebar-category-list {
  list-style-type: none;
  padding: 0;
  margin: 0;
}

.sidebar-category-list li {
  width: 100%;
  margin: 5px 0;
}

.sidebar-category-list li a {
  color: #ffffff;
  text-decoration: none;
  font-size: 16px;
  display: block;
  padding: 8px;
}

.sidebar-category-list li a:hover {
  background-color: #444;
}

/* Bottom section with email label and social icons */


.email-label {
  color: #ccc;
  font-size: 16px;
  margin-bottom: 10px;
}

.social-icons {
  display: flex;
  gap: 15px;
}

.social-icon {
  font-size: 24px;
  color: #ffffff;
  text-decoration: none;
}

.social-icon:hover {
  color: #f1f1f1;
}

/* Burger menu button styling */
.burger-menu {
  cursor: pointer;
  font-size: 30px;
  color: #333;
}

/* Transition effect for sidebar */
.open-sidebar {
  width: 300px;
}
  
  /* First Navbar */
  .navbar {
    display: flex;
    justify-content: space-between;
    align-items: center;
    background-color: #ffffff; /* Updated color */
    padding: 10px 0;
    border-bottom: 1px solid #dcdcdc; /* Subtle border to differentiate sections */
  }
  
  .logo-image {
    width: 86px; /* Adjust as per your logo size */
  }
  
  .burger-menu {
    font-size: 16px;
    cursor: pointer;
    color: #000000;
  }
  
/* search */
.search-bar {
  display: flex;
  align-items: center;
  overflow: hidden;
  border: 1px solid var(--border-color);
}

.searchTerm {
  padding: 2px 15px;
  border: none;
  outline: none;
  font-size: 16px;
  color: #333;
  width: 180px;
  transition: width 0.4s ease;
}

.searchTerm::placeholder {
  color: #aaa;
  font-size: 12px;
   font-family: 'Helvetica', 'Arial', sans-serif;
}

.searchTerm:focus {
  width: 250px;
}

.searchButton {
  background-color: #dcdadf;
  border: none;
  padding: 2px 15px;
  color: #130808;
  cursor: pointer;
  display: flex;
  align-items: center;
  justify-content: center;
  transition: background-color 0.3s ease;
}

.searchButton:hover {
  background-color: #828086;
}

.searchButton i {
  font-size: 18px;
}

  
  /* Second Navbar */
  .categories-navbar {
    background-color: #ffffff; 
    overflow-x: auto;
    white-space: nowrap;
  }
  
  .category-list {
    display: flex;
    padding: 10px 0;
  }
  .category-list .home-button {
    list-style: none;
    margin: 0 15px 0 0; /* Reduced margin for compactness */
  }
  
  .category-list li {
    list-style: none;
    margin: 0 15px; /* Reduced margin for compactness */
  }
  
  .category-list li a {
    font-family: "Montserrat", sans-serif;
    text-decoration: none;
    font-size: 16px;
    font-weight: bold;
    line-height: 1.4;
    color: #1a1c36;
    position: relative;
    transition: color 0.3s ease; /* Transition for color change */
  }
  
  .category-list li a:hover {
    color: #70757a; /* Change link color on hover */
  }
  
  /* Adding a small circle effect on hover */
  .category-list li a::before {
    content: "";
    position: absolute;
    left: 50%;
    bottom: -10px; /* Adjust based on positioning */
    transform: translateX(-50%);
    width: 0;
    height: 0;
    background: #0d0c0c; /* Circle color */
    border-radius: 50%;
    transition: width 0.3s ease, height 0.3s ease;
  }
  
  .category-list li a:hover::before {
    width: 6px; /* Circle width on hover */
    height: 6px; /* Circle height on hover */
  }
  
  /* Hide the scrollbar but allow scrolling */
  .categories-navbar {
    scrollbar-width: none; /* For Firefox */
    -ms-overflow-style: none; /* For IE and Edge */
  }
  
  .categories-navbar::-webkit-scrollbar {
    display: none; /* For Chrome, Safari, and Opera */
  }
  /* ////////////////////////////////////////////////// end nav bar */
   /* ////////////////////////////////////////////////// start trending */
   /* General Styles *//* General Styles */


body {
    font-family: 'Poppins', sans-serif;
    background-color: #fff;
    margin: 0;
    padding: 0;
  }

  .card-features-div2{
    display: grid;
    gap: 1rem;
    grid-template-columns: repeat(1,1fr);
    align-items: stretch;

  }
  .user_content{
    padding-top: 24px;
  }
  .card-features-div3{
    display: grid;
    gap: 12px;
    grid-template-columns: repeat(1,1fr);
    align-items: stretch;
  }

  .card-features-div4{
    display: grid;
    gap: 1rem;
    grid-template-columns: repeat(1,1fr);
    align-items: stretch
  }
  .card-features4{
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    gap: 12px;
    height: 100%;
    align-items: stretch;
  }

  .card-features-div5{
    display: grid;
    gap: 1rem;
    grid-template-columns: repeat(1,1fr);
    align-items: stretch; 
  }
  .card-features7{
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    gap: 12px;
    height: 100%;
    align-items: stretch;
    
  }
  .card-features-div7{
    display: grid;
    gap: 1rem;
    grid-template-columns: repeat(1,1fr);
    align-items: stretch;
  }
  .footer{
    background-color: #0a021c;
  }
  .footer-flexwrap{
    display: grid;
    gap: 1rem;
    grid-template-columns: repeat(1,1fr);
    padding-bottom: 24px;
    border-bottom: 1px solid #7c899a;
  }
  .card-features-div2 .card-features2 .card-features-item2 .image-container2  img{
    width: 100%;
    object-fit: cover;
    aspect-ratio: 16 / 9;
    border-radius: 8px;
  }
  .card-features-div3 .card-features3 .card-features-item3{
     background-color: #ffffff;
     padding: 12px;
     border-radius: 16px;
     height: 100%;
  }

 .card-features-div3 .card-features3 .card-features-item3 .image-container3  img{
    width: 100%;
    object-fit: cover;
    aspect-ratio: 16 / 9;
    border-radius: 8px;
  }
  .features_all4 .card-features-div4 .card-features4 .card-features-item4{
    background-color: #ffffff;
    padding: 12px;
    border-radius: 16px;
    height: 100%;
  }
  .features_all4 .card-features-div4 .card-features4 .card-features-item4 .image-container4 img{
    width: 100%;
    object-fit: cover;
    aspect-ratio: 16 / 7;
    border-radius: 8px;

  }
  
  .features_all5 .card-features-div5 .card-features5 .card-features-item5 .image-container5 img{
    width: 100%;
    object-fit: cover;
    aspect-ratio: 16 / 7;

  }
.side_card-features7-card-container2,.side_side_card-features71-slider2,.side_card-features-item72,.side_image-container72 {
  height: 100%;
}
.card-features7-card-container,.card-features7-slider,.card-features-item7,.image-container7 {
  height: 100%;
}
  .features_all7 .card-features-div7 .card-features7 .card-features-item7 .image-container7 img{
    width: 100%;
    object-fit: cover;
    aspect-ratio: 16 / 9;
    height: 100%;
    border-radius: 8px;

  }
  .card-features7-card-container{
    position: relative;
    overflow: hidden;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    height: 100%;
    align-items: stretch;
  }
  .card-features7-slider::before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    background: linear-gradient(to bottom, rgba(1, 4, 6, 0) 10%, rgba(1, 4, 6, 0.422) 50%, rgba(1, 4, 6, 0.8) 100%);
    width: 100%;
    height: 100%;
    z-index: 1;
  }
  .card-features7-slider {
    position: relative;
    width: 100%;
    height: 100%;
  }
  .card-features-item7 {
    display: none;
    text-align: center;
  }
  
  .card-features-item7.active {
    display: block;
  }
  
/* Slider Navigation Dots */
.slider-nav {
  position: absolute;
  bottom: 25px;
  left: 50%;
  transform: translateX(-50%);
  display: flex;
  gap: 10px;
  z-index: 999;
}

.dot {
    height: 6px;
    width: 6px;
    background-color: rgba(255, 255, 255, 0.8);
    border-radius: 50%;
    cursor: pointer;
    transition: background-color 0.3s, transform 0.3s;
}

.dot.active {
  background-color: #ff0000;
  transform: scale(1.3);
}

.dot:hover {
  background-color: #ff4444;
  transform: scale(1.2);
}

.news-title {
    font-family: "Montserrat", sans-serif;
    position: absolute;
    bottom: 45px;
    left: 50%;
    transform: translateX(-50%);
    width: calc(100% - 20px);
    max-width: 500px;
    text-align: center;
    color: #fafafa;
    font-size: 16px;
    font-weight: 600;
    text-shadow: 0 2px 4px rgba(0, 0, 0, 0.6);
    z-index: 10;
}
.card-features-div5 > * {
  display: flex;
  flex-direction: column; 
  justify-content: space-between;
  gap: 12px;
  height: 100%; 
}
.card-features-item5{
display: flex;
flex-direction: column;
background-color: #ffffff;
padding: 12px;
border-radius: 16px;
height: 100%;
}

.card-features5 img{
border-radius: 8px;
}
.card-features7 .card-features-item-side{
  background-color: #0e0425;
  flex: 1;
  display: flex;
  gap: 1rem;
  padding: 12px;
  border-radius: 16px;
  height: 100%;         
}

.card-features-item-side{
  background-color: #ffffff;
  flex: 1;
  display: flex;
  gap: 1rem;
  padding: 12px;
  border-radius: 16px;
  height: 100%;         
}
.card-features-item-side img{
  width: 96px;
  height: 100px;
  object-fit: cover;
  border-radius: 8px;
}
.bottom_footer{
  padding-top: 24px;
  display: flex;
  justify-content: space-between;
}
.bottom_footer p{
  color: #7c899a;
}
 .footer_socialmedia {
  display: flex;
  gap: 15px;
 }
 .footer_socialmedia .social-icon{
    font-size: 24px;
    color: #7c899a;
    text-decoration: none;
 }  
  @media (min-width: 481px) {
    .card-features-div2{
      grid-template-columns: repeat(2,1fr);
    }
    .footer-flexwrap{
      grid-template-columns: repeat(2,1fr);
    }
  }
  @media (max-width: 481px) {
    .card-features-item-side img{
      width: 86px;
      height: 86px;
      object-fit: cover;
    }
    .navbar .z-mobile .search-bar{
      display: none;
    }
 
  }
  @media (min-width: 481px) {

    .card-features-div3{
      grid-template-columns: repeat(2,1fr);
    }
  }
  @media (min-width: 768px) {
    .card-features-div3{
      grid-template-columns: repeat(3,1fr);
    }
    .footer-flexwrap{
      grid-template-columns: repeat(3,1fr);
    }
  }
  
  /* Desktop */
  @media (min-width: 992px) {
    .card-features-div3{
      grid-template-columns: repeat(4,1fr);
    }
    .footer-flexwrap{
      grid-template-columns: repeat(4,1fr);
    }
  }


  @media (min-width: 992px) {
    .card-features-div4{
      grid-template-columns: repeat(2,1fr);
    }
  }
  @media (min-width: 992px) {
    .card-features-div5{
      grid-template-columns: repeat(3,1fr);
    }
  }
  @media (min-width: 992px) {
    .card-features-div7{
      grid-template-columns: repeat(2,1fr);
    }
  }

